Skip to main content

PUT /alerts/{id}

PUT 

alerts/:id

Update an existing alert rule by its ID

Path Parameters

id string Required
User alert ID

Request Body

name string Required
Name of the alert for easy identification

profile_id string
Profile ID to associate alert with the specific profile

is_active array
Enable or disable the current alert, preserving alert's settings

is_on_dashboards array
Show an alert on dashboards

is_in_daily_report array
Include an alert notifications in the daily email report

is_instant_alert array
Send an immediate notification when the alert is triggered

instant_alert_email string
Email address to receive instant alert notifications. Required if is_instant_alert is true

webhook_url string
URL endpoint to send a POST request with alert data when triggered

slack_integration_id string
Slack integration ID to send notifications to a Slack channel

rules array Required
Array of alert rules that define trigger conditions

formula string
Logical formula combining multiple rules (e.g., "rule1 AND rule2 OR rule3"). Required when multiple rules are defined

Returns

  • idstring
    Unique identifier of the alert
  • namestring
    Name of the alert
  • profile_idstring
    Associated profile ID
  • is_activearray
    Indicates if the current alert is enabled
  • is_on_dashboardsarray
    Indicates if the alert is displayed on dashboards
  • is_in_daily_reportarray
    Indicates if the alert is included in daily email reports
  • is_instant_alertarray
    Indicates if instant notifications are enabled
  • instant_alert_emailstring
    Email address for instant alert notifications
  • webhook_urlstring
    Webhook URL for HTTP POST notifications
  • slack_integration_idstring
    Slack integration ID for Slack notifications
  • rulesarray
    Array of configured alert rules
    • typestring
      Type of alert rule to monitor specific conditions
      Allowed values: IP_IN_RBL, DOMAIN_IN_RBL, GP_DOMAIN_REPUTATION, GP_IP_REPUTATION, GP_USER_REPORTED_SPAM_RATIO, GP_SPF_SUCCESS_RATIO, GP_DKIM_SUCCESS_RATIO, GP_DMARC_SUCCESS_RATIO, GP_OUTBOUND_ENCRYPTION_RATIO, GP_INBOUND_ENCRYPTION_RATIO, GP_DELIVERY_ERROR_RATIO, SNDS_FILTER_RESULT, SNDS_BOUNCE_RATE, SNDS_COMPLAINT_RATE, SNDS_TRAP_HITS, LOOKALIKE_REG_CREATED_DATE, LOOKALIKE_REG_UPDATED_DATE, TRAPS_IP, TRAPS_DOMAIN_FROM, HONEYTOKEN_DOMAIN_COUNT_PER_PERIOD
    • keystring
      Applies only if formula is sent. Used in the formula
    • ipsarray
      Applies only for IP_IN_RBL rule type
    • domainsarray
      Applies only for DOMAIN_IN_RBL rule type
    • rblsarray
      Applies for IP_IN_RBL, DOMAIN_IN_RBL rule types
    • gp_ipsarray
      Applies only for GP_IP_REPUTATION rule type
    • gp_ip_reputationsarray
      Applies only for GP_IP_REPUTATION rule type
      Allowed values: REPUTATION_CATEGORY_UNSPECIFIED, HIGH, MEDIUM, LOW, BAD
    • gp_domainsarray
      Applies only for GP_DOMAIN_REPUTATION rule type
    • gp_domain_reputationsarray
      Applies only for GP_DOMAIN_REPUTATION rule type
      Allowed values: REPUTATION_CATEGORY_UNSPECIFIED, HIGH, MEDIUM, LOW, BAD
    • gp_user_reported_spam_ratioobject
      Applies only for GP_USER_REPORTED_SPAM_RATIO rule type
      • valuenumber
      • operatorstring
        Allowed values: gt, gte, lt, lte, eq
    • gp_spf_success_ratioobject
      Applies only for GP_SPF_SUCCESS_RATIO rule type
      • valuenumber
      • operatorstring
        Allowed values: gt, gte, lt, lte, eq
    • gp_dkim_success_ratioobject
      Applies only for GP_DKIM_SUCCESS_RATIO rule type
      • valuenumber
      • operatorstring
        Allowed values: gt, gte, lt, lte, eq
    • gp_dmarc_success_ratioobject
      Applies only for GP_DMARC_SUCCESS_RATIO rule type
      • valuenumber
      • operatorstring
        Allowed values: gt, gte, lt, lte, eq
    • gp_inbound_encryption_ratioobject
      Applies only for GP_INBOUND_ENCRYPTION_RATIO rule type
      • valuenumber
      • operatorstring
        Allowed values: gt, gte, lt, lte, eq
    • gp_outbound_encryption_ratioobject
      Applies only for GP_OUTBOUND_ENCRYPTION_RATIO rule type
      • valuenumber
      • operatorstring
        Allowed values: gt, gte, lt, lte, eq
    • gp_delivery_error_ratioobject
      Applies only for GP_DELIVERY_ERROR_RATIO rule type
      • valuenumber
      • operatorstring
        Allowed values: gt, gte, lt, lte, eq
    • snds_ipsarray
      Applies only for SNDS_FILTER_RESULT rule type
    • snds_filter_resultarray
      Applies only for SNDS_FILTER_RESULT rule type
      Allowed values: GREEN, YELLOW, RED
    • snds_bounce_rateobject
      Applies only for SNDS_BOUNCE_RATE rule type
      • valuenumber
      • operatorstring
        Allowed values: gt, gte, lt, lte, eq
    • snds_complaint_rateobject
      Applies only for SNDS_COMPLAINT_RATE rule type
      • valuenumber
      • operatorstring
        Allowed values: gt, gte, lt, lte, eq
    • snds_trap_hitsobject
      Applies only for SNDS_TRAP_HITS rule type
      • valuenumber
      • operatorstring
        Allowed values: gt, gte, lt, lte, eq
    • lookalike_reg_created_dateobject
      Applies only for LOOKALIKE_REG_CREATED_DATE rule type
      • valuestring
        Allowed values: ONE_DAY, ONE_WEEK, ONE_MONTH, ONE_YEAR
      • operatorstring
        Allowed values: gt, lt
    • lookalike_reg_updated_dateobject
      Applies only for LOOKALIKE_REG_UPDATED_DATE rule type
      • valuestring
        Allowed values: ONE_DAY, ONE_WEEK, ONE_MONTH, ONE_YEAR
      • operatorstring
        Allowed values: gt, lt
    • dmarc_spf_failobject
      Applies only for DMARC_SPF_FAIL rule type
      • valuenumber
      • operatorstring
        Allowed values: gt, gte
      • time_rangestring
        Allowed values: ONE_DAY, ONE_WEEK, ONE_MONTH
    • dmarc_dkim_failobject
      Applies only for DMARC_DKIM_FAIL rule type
      • valuenumber
      • operatorstring
        Allowed values: gt, gte
      • time_rangestring
        Allowed values: ONE_DAY, ONE_WEEK, ONE_MONTH
    • dmarc_dmarc_failobject
      Applies only for DMARC_DMARC_FAIL rule type
      • valuenumber
      • operatorstring
        Allowed values: gt, gte
      • time_rangestring
        Allowed values: ONE_DAY, ONE_WEEK, ONE_MONTH
    • dmarc_spf_alignment_failobject
      Applies only for DMARC_SPF_ALIGNMENT_FAIL rule type
      • valuenumber
      • operatorstring
        Allowed values: gt, gte
      • time_rangestring
        Allowed values: ONE_DAY, ONE_WEEK, ONE_MONTH
    • dmarc_dkim_alignment_failobject
      Applies only for DMARC_DKIM_ALIGNMENT_FAIL rule type
      • valuenumber
      • operatorstring
        Allowed values: gt, gte
      • time_rangestring
        Allowed values: ONE_DAY, ONE_WEEK, ONE_MONTH
    • traps_ipsarray
      Applies only for TRAPS_IP rule type
    • traps_domains_fromarray
      Applies only for TRAPS_DOMAIN_FROM rule type
    • honeytoken_domainsarray
      Applies only for HONEYTOKEN_DOMAIN_COUNT_PER_PERIOD rule type. Use one of the special values or provide specific domain names: ALL_HONEYTOKEN_DOMAINS to match all domains, TRUSTED_HONEYTOKEN_DOMAINS to match only trusted domains, NOT_TRUSTED_HONEYTOKEN_DOMAINS to match only non-trusted domains. Special values must be the only element in the array
    • honeytoken_domain_count_per_periodobject
      Applies only for HONEYTOKEN_DOMAIN_COUNT_PER_PERIOD rule type
      • valuenumber
      • operatorstring
        Allowed values: gt, gte, lt, lte, eq
      • time_rangestring
        Allowed values: ONE_DAY, ONE_WEEK, ONE_MONTH
  • formulastring
    Logical formula combining multiple rules, present only when multiple rules are configured
  • created_atstring
    Timestamp when the alert was created
  • updated_atstring
    Timestamp when the alert was last updated
Error Codes

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

500 Internal Server Error

Internal server error